"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _utils = require("./utils");

var _default = (containers, opts, breakpoint, {
  rule
}) => {
  const containerQuery = rule();
  const containerWidth = breakpoint * opts.width - opts.gutter + 2 * opts.padding;

  for (let i = 0; i <= breakpoint; i += 1) {
    if (containers[i] && containers[i].length) {
      containerQuery.selector = (0, _utils.selectorsAdd)(containerQuery.selector, containers[i]);
    }
  }

  containerQuery.append({
    prop: 'width',
    value: `${containerWidth}rem`
  });
  return containerQuery;
};

exports.default = _default;