"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _utils = require("./utils");

var _default = (blocs, opts, {
  rule
}) => {
  const bloc = rule();
  bloc.selectors = (0, _utils.flatten)(blocs);
  bloc.append({
    prop: 'margin-right',
    value: `${opts.gutter}rem`
  });
  bloc.append({
    prop: 'margin-bottom',
    value: `${opts.gutter}rem`
  });

  if (opts.display === 'flex') {
    bloc.append({
      prop: 'flex',
      value: '0 1 100%'
    });
  } else if (opts.display === 'float') {
    bloc.append({
      prop: 'clear',
      value: 'both'
    });
  }

  return bloc;
};

exports.default = _default;