"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _utils = require("./utils");

var _default = (columns, opts, {
  rule
}) => {
  const columnsGap = rule();
  columnsGap.selectors = (0, _utils.flatten)(columns);
  columnsGap.append({
    prop: 'column-gap',
    value: `${opts.gutter}rem`
  });
  return columnsGap;
};

exports.default = _default;